{% extends "references_manager/base.html" %}

{% block title %}- Search results{% endblock %}

{% block content %}
{% if user.is_superuser %}
{% for product in results %}
    <div class="container col-12" id="container-link">
        <div class="container bg-white rounded shadow">

            <div class="row">

                 <div class="col-md-4">
                    <img class="img-fluid rounded my-3" src="{{ product.image.url }}" alt="">
                 {% if product.files.all %}
                    <h4 class="my-3"><b>Files attached:</b></h4>
                    <ul>
                        {% for file in product.files.all %}
                        <small><a href="{{ file.file.url }}"><li><b>{{ file }}</b></li></a></small>
                        {% endfor %}
                    </ul>
                 {% endif %}
                        {% if product.additional_info %}
                     <h4 class="my-3"><b>Additional info:</b></h4>
                            <p>{{ product.additional_info|linebreaks }}</p>
                        {% endif %}
                 </div>

                <div class="col-md-4">
                    {% if product in results_product %}
                        <h4 class="my-3"><b>Product name: </b><a href="{% url 'edit-product' product.id %}"><mark>{{ product.name }}</mark>
                        <span style="float:right;"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></span></a></h4>
                    {% else %}
                        <h4 class="my-3"><b>Product name: </b><a href="{% url 'edit-product' product.id %}">{{ product.name }}
                        <span style="float:right;"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></span></a></h4>
                    {% endif %}
                    <h4 class="my-3"><b>Product Details:</b></h4>
                    <p><b>Type:</b> {{ product.type.name }}</p>


                    <p><b>Size:</b>

                    <table class="table table-sm">
                      <thead>
                        <tr>
                          <th scope="col"></th>
                          <th scope="col">A</th>
                          <th scope="col">B</th>
                          <th scope="col">C</th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr>
                          <th scope="row">mm</th>
                          <td>{{ product.a_in_mm }}</td>
                          <td>{{ product.b_in_mm }}</td>
                          <td>{{ product.c_in_mm }}</td>
                        </tr>
                        <tr>
                          <th scope="row">inch</th>
                          <td>{{ product.a_in_inches }}</td>
                          <td>{{ product.b_in_inches }}</td>
                          <td>{{ product.c_in_inches }}</td>
                        </tr>

                      </tbody>
                    </table></p>
                    <img class="img-fluid rounded my-3" src="{{ product.type.image.url }}" alt="">
                </div>
                <div class="col-md-4">
                    <h4 class="my-3"><b>Cross reference:</b></h4>
                        <p>
                        {% for reference in product.references.all %}
                            {% if reference in results_reference %}
                                <small><b>{{ reference.company.name }}: </b> <a href="{% url 'edit-reference' reference.id %}"><mark>{{ reference.name }}</mark></a><br></small>
                            {% else %}
                                <small><b>{{ reference.company.name }}: </b> <a href="{% url 'edit-reference' reference.id %}">{{ reference.name }}</a><br></small>
                            {% endif %}
                        {% endfor %}
                        </p>

                </div>

            </div>

        </div>

    </div>

    <div class="container">
        <br>
    </div>
{% endfor %}
{% else %}
{% for product in results %}
    <div class="container col-12" id="container-link">
        <div class="container bg-white rounded shadow">

            <div class="row">

                 <div class="col-md-4">
                    <img class="img-fluid rounded my-3" src="{{ product.image.url }}" alt="">
                 {% if product.files.all %}
                    <h4 class="my-3"><b>Files attached:</b></h4>
                    <ul>
                        {% for file in product.files.all %}
                        <small><a href="{{ file.file.url }}"><li><b>{{ file }}</b></li></a></small>
                        {% endfor %}
                    </ul>
                 {% endif %}
                        {% if product.additional_info %}
                     <h4 class="my-3"><b>Additional info:</b></h4>
                            <p>{{ product.additional_info|linebreaks }}</p>
                        {% endif %}
                 </div>

                <div class="col-md-4">
                    {% if product in results_product %}
                        <h4 class="my-3"><b>Product name: </b><mark>{{ product.name }}</mark></h4>
                    {% else %}
                        <h4 class="my-3"><b>Product name: </b>{{ product.name }}</h4>
                    {% endif %}
                    <h4 class="my-3"><b>Product Details:</b></h4>
                    <p><b>Type:</b> {{ product.type.name }}</p>


                    <p><b>Size:</b>

                    <table class="table table-sm">
                      <thead>
                        <tr>
                          <th scope="col"></th>
                          <th scope="col">A</th>
                          <th scope="col">B</th>
                          <th scope="col">C</th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr>
                          <th scope="row">mm</th>
                          <td>{{ product.a_in_mm }}</td>
                          <td>{{ product.b_in_mm }}</td>
                          <td>{{ product.c_in_mm }}</td>
                        </tr>
                        <tr>
                          <th scope="row">inch</th>
                          <td>{{ product.a_in_inches }}</td>
                          <td>{{ product.b_in_inches }}</td>
                          <td>{{ product.c_in_inches }}</td>
                        </tr>

                      </tbody>
                    </table></p>
                    <img class="img-fluid rounded my-3" src="{{ product.type.image.url }}" alt="">
                </div>
                <div class="col-md-4">
                    <h4 class="my-3"><b>Cross reference:</b></h4>
                        <p>
                        {% for reference in product.references.all %}
                            {% if reference in results_reference %}
                                <small><b>{{ reference.company.name }}: </b> <mark>{{ reference.name }}</mark><br></small>
                            {% else %}
                                <small><b>{{ reference.company.name }}: </b> {{ reference.name }}<br></small>
                            {% endif %}
                        {% endfor %}
                        </p>

                </div>

            </div>

        </div>

    </div>

    <div class="container">
        <br>
    </div>
{% endfor %}
{% endif %}
{% endblock content %}